#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           keysmith
Version: 24.07.90
Release:        %mkrel %{rel}
Summary:        Convergent OTP client
License:        GPLv3+
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/keysmith/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6QQC2DesktopStyle)

BuildRequires:  pkgconfig(libsodium)

Requires:       kirigami
Requires:       kirigami-addons
Requires:       qqc2-desktop-style


%description
OTP client for Plasma Mobile and Desktop.

%files -f %{name}.lang
%doc README.md
%license COPYING LICENSES/*.txt
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_iconsdir}/hicolor/scalable/apps/%{name}.svg

#------------------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085092
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073199
- New version 24.05.1

* Sun Jun 09 2024 daviddavid <daviddavid> 24.05.0-1.mga10
+ Revision: 2071653
- add missing runtime dependencies in qqc2-desktop-style and kirigami-addons
+ neoclust <neoclust>
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058599
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045144
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037642
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033769
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025122
- New version 24.01.85

* Thu Nov 23 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2009246
- New version 24.01.75

* Sun Sep 24 2023 daviddavid <daviddavid> 23.08.1-1.mga10
+ Revision: 1990000
- New version 23.08.1

* Sun Jun 11 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1961662
- initial package keysmith

